Bug 214027 - dbus-uuidgen attempts to write to a non-existent location
dbus-uuidgen attempts to write to a non-existent location
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: dbus (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: John (J5) Palmieri
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-04 15:30 EST by Michal Jaegermann
Modified: 2013-03-13 00:51 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-06 10:37:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2006-11-04 15:30:46 EST
Description of problem:

After 'dbus' update the following shows up:

# /bin/dbus-uuidgen --ensure
Could not create file /var/lib/dbus/machine-id: No such file or directory

After 'mkdir /var/lib/dbus' the above works but /var/lib/dbus/ clearly
should be owned by a 'dbus' package and it is not.  A small stumble in
a spec file.

Actually the following likely should be in %files section:

%ghost /var/lib/dbus/machine-id
%dir /var/lib/dbus/

Version-Release number of selected component (if applicable):
dbus-0.95-1.fc7

How reproducible:
always until /var/lib/dbus/ is created
Comment 1 John (J5) Palmieri 2006-11-06 10:37:33 EST
You are correct.  For some reason I missed it in the FC-7 spec file though I had
it in the olpc spec.  Thanks, building now.

Note You need to log in before you can comment on or make changes to this bug.